summaryrefslogtreecommitdiff
path: root/helpers/lh_source_tar
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2007-09-23 10:05:11 +0200
committerDaniel Baumann <daniel@debian.org>2011-03-09 18:18:30 +0100
commit37a5c53ddd2825bf6b0ce521908a63d419683981 (patch)
tree0b0a8ea3072a4d6b9c37ce8efedb29d25a713e04 /helpers/lh_source_tar
parent85c342c299231131d22764c0dfdcf977c57ce147 (diff)
downloadlive-build-37a5c53ddd2825bf6b0ce521908a63d419683981.zip
live-build-37a5c53ddd2825bf6b0ce521908a63d419683981.tar.gz
Adding live-helper 1.0~a14-1.
Diffstat (limited to 'helpers/lh_source_tar')
-rwxr-xr-xhelpers/lh_source_tar70
1 files changed, 70 insertions, 0 deletions
diff --git a/helpers/lh_source_tar b/helpers/lh_source_tar
new file mode 100755
index 0000000..51170a3
--- /dev/null
+++ b/helpers/lh_source_tar
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# lh_source_tar(1) - build source tarball
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+LH_BASE="${LH_BASE:-/usr/share/live-helper}"
+
+for FUNCTION in "${LH_BASE}"/functions/*.sh
+do
+ . "${FUNCTION}"
+done
+
+# Setting static variables
+DESCRIPTION="build source tarball"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+if [ "${LIVE_SOURCE}" != "enabled" ]
+then
+ exit 0
+fi
+
+if ! echo "${LIVE_SOURCE_IMAGES}" | grep -qs tar
+then
+ exit 0
+fi
+
+Echo_message "Begin building source tarball..."
+Echo_message "This may take a while."
+
+# Requiring stage file
+Require_stagefile .stage/source_debian
+
+# Checking stage file
+Check_stagefile .stage/source_tar
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Remove old source
+if [ -f source.tar.gz ]
+then
+ rm -f source.tar.gz
+fi
+
+# Create tarball
+tar cfz source.tar.gz source
+
+# Creating stage file
+Create_stagefile .stage/source_tar